Index: ffmpeg.c
===================================================================
--- ffmpeg.c	(revision 9444)
+++ ffmpeg.c	(working copy)
@@ -753,6 +753,15 @@
                 ost->padtop, ost->padbottom, ost->padleft, ost->padright, padcolor);
     }
 
+    /* Check for dynamic aspect change */
+    /* TODO: Check for size change */
+    if(dec->sample_aspect_ratio.num != enc->sample_aspect_ratio.num ||
+       dec->sample_aspect_ratio.den != enc->sample_aspect_ratio.den)
+    {
+        enc->sample_aspect_ratio.num = dec->sample_aspect_ratio.num;
+        enc->sample_aspect_ratio.den = dec->sample_aspect_ratio.den;
+    }
+
     /* duplicates frame if needed */
     for(i=0;i<nb_frames;i++) {
         AVPacket pkt;
